#include "BIS_AddonInfo.hpp"

#define _ARMA_

class CfgPatches
{
	class elias_textures
	{
		units[]={};
		weapons[]={};
		requiredVersion=0.1;
		requiredAddons[]={};
		version = "0.1";
		author = "Island-life.de | Elias177";
		authorUrl = "";
		fileName = "elias_textures.pbo";
	};
};

class CfgWeapons
{
    class ItemCore;
	class VestItem;
    class Vest_Camo_Base: ItemCore
    {
        class ItemInfo;
    };
	class ILDE_Vest_RTD: Vest_Camo_Base {
		scope = 2;
		author = "Island-life.de | Elias177";
		displayName = "Rettungsdienst Weste";
		picture = "\elias_textures\textures\icon\island-life.paa";
		model = "A3\Characters_F\Common\equip_tacticalvest";
		hiddenSelections[] = {"camo"};
		hiddenSelectionsTextures[] = {"\elias_textures\textures\rtd\vests\medic_vest_rettungsdienst.paa" };
		class ItemInfo: VestItem {
			uniformModel = "A3\Characters_F\Common\equip_tacticalvest";
			containerClass = "Supply100";
			mass = 40;
			armor = 20;
			passThrough = 1;
			hiddenSelections[] = {"camo"};
		};
	};
	class ILDE_Vest_Bergrettung: Vest_Camo_Base {
		scope = 2;
		author = "Island-life.de | Elias177";
		displayName = "Bergrettungs Weste";
		picture = "\elias_textures\textures\icon\island-life.paa";
		model = "A3\Characters_F\Common\equip_tacticalvest";
		hiddenSelections[] = {"camo"};
		hiddenSelectionsTextures[] = {"\elias_textures\textures\rtd\vests\medic_vest_bergrettung.paa" };
		class ItemInfo: VestItem {
			uniformModel = "A3\Characters_F\Common\equip_tacticalvest";
			containerClass = "Supply100";
			mass = 40;
			armor = 20;
			passThrough = 1;
			hiddenSelections[] = {"camo"};
		};
	};
	class ILDE_Vest_Einsatzleiter: Vest_Camo_Base {
		scope = 2;
		author = "Island-life.de | Elias177";
		displayName = "Einsatzleiter Weste";
		picture = "\elias_textures\textures\icon\island-life.paa";
		model = "A3\Characters_F\Common\equip_tacticalvest";
		hiddenSelections[] = {"camo"};
		hiddenSelectionsTextures[] = {"\elias_textures\textures\rtd\vests\medic_vest_einsatzleiter.paa" };
		class ItemInfo: VestItem {
			uniformModel = "A3\Characters_F\Common\equip_tacticalvest";
			containerClass = "Supply100";
			mass = 40;
			armor = 20;
			passThrough = 1;
			hiddenSelections[] = {"camo"};
		};
	};
	
	class ILDE_Vest_LeitenderNotarzt: Vest_Camo_Base {
		scope = 2;
		author = "Island-life.de | Elias177";
		displayName = "Leitender Notarzt Weste";
		picture = "\elias_textures\textures\icon\island-life.paa";
		model = "A3\Characters_F\Common\equip_tacticalvest";
		hiddenSelections[] = {"camo"};
		hiddenSelectionsTextures[] = {"\elias_textures\textures\rtd\vests\medic_vest_leitender.paa" };
		class ItemInfo: VestItem {
			uniformModel = "A3\Characters_F\Common\equip_tacticalvest";
			containerClass = "Supply100";
			mass = 40;
			armor = 20;
			passThrough = 1;
			hiddenSelections[] = {"camo"};
		};
	};
	class ILDE_Vest_Leitstelle: Vest_Camo_Base {
		scope = 2;
		author = "Island-life.de | Elias177";
		displayName = "Leitstelle Weste";
		picture = "\elias_textures\textures\icon\island-life.paa";
		model = "A3\Characters_F\Common\equip_tacticalvest";
		hiddenSelections[] = {"camo"};
		hiddenSelectionsTextures[] = {"\elias_textures\textures\rtd\vests\medic_vest_leitstelle.paa" };
		class ItemInfo: VestItem {
			uniformModel = "A3\Characters_F\Common\equip_tacticalvest";
			containerClass = "Supply100";
			mass = 40;
			armor = 20;
			passThrough = 1;
			hiddenSelections[] = {"camo"};
		};
	};
	class ILDE_Vest_Wasserrettung: Vest_Camo_Base {
		scope = 2;
		author = "Island-life.de | Elias177";
		displayName = "Wasserrettung Weste";
		picture = "\elias_textures\textures\icon\island-life.paa";
		model = "A3\Characters_F\Common\equip_tacticalvest";
		hiddenSelections[] = {"camo"};
		hiddenSelectionsTextures[] = {"\elias_textures\textures\rtd\vests\medic_vest_wasserrettung.paa" };
		class ItemInfo: VestItem {
			uniformModel = "A3\Characters_F\Common\equip_tacticalvest";
			containerClass = "Supply100";
			mass = 40;
			armor = 20;
			passThrough = 1;
			hiddenSelections[] = {"camo"};
		};
	};
	
	class ILDE_Vest_Praktikant: Vest_Camo_Base {
		scope = 2;
		author = "Island-life.de | Elias177";
		displayName = "Praktikanten Weste";
		picture = "\elias_textures\textures\icon\island-life.paa";
		model = "A3\Characters_F\Common\equip_tacticalvest";
		hiddenSelections[] = {"camo"};
		hiddenSelectionsTextures[] = {"\elias_textures\textures\rtd\vests\praktikant_vest.paa" };
		class ItemInfo: VestItem {
			uniformModel = "A3\Characters_F\Common\equip_tacticalvest";
			containerClass = "Supply100";
			mass = 40;
			armor = 20;
			passThrough = 1;
			hiddenSelections[] = {"camo"};
		};
	};
	
	class Uniform_Base;
    class UniformItem;
	class ILDE_Sanitaeter_Uniform: Uniform_Base 
    {
        author = "Island-life.de | Elias177";
        scope = 2;
        displayName = "Sanitaeter Uniform";
        picture = "\elias_textures\textures\icon\island-life.paa";
        model = "\A3\Characters_F\Common\Suitpacks\suitpack_universal_F";
        hiddenSelections[] = {"camo"};
        hiddenSelectionsTextures[] = {"\A3\Characters_F\Common\Suitpacks\data\suitpack_soldier_indep_co.paa"};
        class ItemInfo: UniformItem 
        {
            uniformModel = "-";
            uniformClass = "ILDE_Sanitaeter_Uniform_V";
            containerClass = "Supply40";
            mass = 40;
        };
    };
	
	class ILDE_Notarzt_Uniform: Uniform_Base 
    {
        author = "Island-life.de | Elias177";
        scope = 2;
        displayName = "Notarzt Uniform";
        picture = "\elias_textures\textures\icon\island-life.paa";
        model = "\A3\Characters_F\Common\Suitpacks\suitpack_universal_F";
        hiddenSelections[] = {"camo"};
        hiddenSelectionsTextures[] = {"\A3\Characters_F\Common\Suitpacks\data\suitpack_soldier_indep_co.paa"};
        class ItemInfo: UniformItem 
        {
            uniformModel = "-";
            uniformClass = "ILDE_Notarzt_Uniform_V";
            containerClass = "Supply40";
            mass = 40;
        };
    };
	
    class ILDE_FW_Uniform: Uniform_Base 
    {
        author = "Island-life.de | Elias177";
        scope = 2;
        displayName = "Feuerwehr Uniform";
        picture = "\elias_textures\textures\icon\island-life.paa";
        model = "\A3\Characters_F\Common\Suitpacks\suitpack_universal_F";
        hiddenSelections[] = {"camo"};
        hiddenSelectionsTextures[] = {"\A3\Characters_F\Common\Suitpacks\data\suitpack_soldier_indep_co.paa"};
        class ItemInfo: UniformItem 
        {
            uniformModel = "-";
            uniformClass = "ILDE_FW_Uniform_V";
            containerClass = "Supply40";
            mass = 40;
        };
    };
	
	class ILDE_Polizei_Uniform: Uniform_Base 
    {
        author = "Island-life.de | Elias177";
        scope = 2;
        displayName = "Polizei Uniform";
        picture = "\elias_textures\textures\icon\island-life.paaa";
        model = "\A3\Characters_F\Common\Suitpacks\suitpack_universal_F";
        hiddenSelections[] = {"camo"};
        hiddenSelectionsTextures[] = {"\A3\Characters_F\Common\Suitpacks\data\suitpack_soldier_indep_co.paa"};
        class ItemInfo: UniformItem 
        {
            uniformModel = "-";
            uniformClass = "ILDE_Polizei_Uniform_V";
            containerClass = "Supply40";
            mass = 40;
        };
    };
	
	class ILDE_Polizei_Ausbilder_Uniform: Uniform_Base 
    {
        author = "Island-life.de | Elias177";
        scope = 2;
        displayName = "Polizei Ausbilder Uniform";
        picture = "\elias_textures\textures\icon\island-life.paa";
        model = "\A3\Characters_F\Common\Suitpacks\suitpack_universal_F";
        hiddenSelections[] = {"camo"};
        hiddenSelectionsTextures[] = {"\A3\Characters_F\Common\Suitpacks\data\suitpack_soldier_indep_co.paa"};
        class ItemInfo: UniformItem 
        {
            uniformModel = "-";
            uniformClass = "ILDE_Polizei_Ausbilder_Uniform_V";
            containerClass = "Supply40";
            mass = 40;
        };
    };
	
	class ILDE_SEK_Uniform: Uniform_Base 
    {
        author = "Island-life.de | Elias177";
        scope = 2;
        displayName = "SEK Uniform";
        picture = "\elias_textures\textures\icon\island-life.paa";
        model = "\A3\Characters_F\Common\Suitpacks\suitpack_universal_F";
        hiddenSelections[] = {"camo"};
        hiddenSelectionsTextures[] = {"\A3\Characters_F\Common\Suitpacks\data\suitpack_soldier_indep_co.paa"};
        class ItemInfo: UniformItem 
        {
            uniformModel = "-";
            uniformClass = "ILDE_SEK_Uniform_V";
            containerClass = "Supply40";
            mass = 40;
        };
    };
	
	class ILDE_Praesi_Uniform: Uniform_Base 
    {
        author = "Island-life.de | Elias177";
        scope = 2;
        displayName = "Polizeipraesident Uniform";
        picture = "\elias_textures\textures\icon\island-life.paa";
        model = "\A3\Characters_F\Common\Suitpacks\suitpack_universal_F";
        hiddenSelections[] = {"camo"};
        hiddenSelectionsTextures[] = {"\A3\Characters_F\Common\Suitpacks\data\suitpack_soldier_indep_co.paa"};
        class ItemInfo: UniformItem 
        {
            uniformModel = "-";
            uniformClass = "ILDE_Praesi_Uniform_V";
            containerClass = "Supply40";
            mass = 40;
        };
    };
	
	class ILDE_JVB_Uniform: Uniform_Base 
    {
        author = "Island-life.de | Elias177";
        scope = 2;
        displayName = "JVB Uniform";
        picture = "\elias_textures\textures\icon\island-life.paa";
        model = "\A3\Characters_F\Common\Suitpacks\suitpack_universal_F";
        hiddenSelections[] = {"camo"};
        hiddenSelectionsTextures[] = {"\A3\Characters_F\Common\Suitpacks\data\suitpack_soldier_indep_co.paa"};
        class ItemInfo: UniformItem 
        {
            uniformModel = "-";
            uniformClass = "ILDE_JVB_Uniform_V";
            containerClass = "Supply40";
            mass = 40;
        };
    };
	
	class ILDE_STA_Uniform: Uniform_Base 
    {
        author = "Island-life.de | Elias177";
        scope = 2;
        displayName = "STA Uniform";
        picture = "\elias_textures\textures\icon\island-life.paa";
        model = "\A3\Characters_F\Common\Suitpacks\suitpack_universal_F";
        hiddenSelections[] = {"camo"};
        hiddenSelectionsTextures[] = {"\A3\Characters_F\Common\Suitpacks\data\suitpack_soldier_indep_co.paa"};
        class ItemInfo: UniformItem 
        {
            uniformModel = "-";
            uniformClass = "ILDE_STA_Uniform_V";
            containerClass = "Supply40";
            mass = 40;
        };
    };
	
};

class cfgVehicles
{
    class B_Soldier_F;
	class I_soldier_F;
	class B_RangeMaster_F;
	class ILDE_Sanitaeter_Uniform_V: I_soldier_F
	{
      author = "Island-life.de | Elias177";
      scope = 1;
	  hiddenSelectionsTextures[] = {"\elias_textures\textures\rtd\uniform\Sanitaeter.paa"};
      hiddenSelectionsMaterials[] = {};
	  hiddenSelections[] = {"Camo","insignia"};
	  uniformClass = "ILDE_Sanitaeter_Uniform";
   };
   class ILDE_Notarzt_Uniform_V: I_soldier_F
	{
      author = "Island-life.de | Elias177";
      scope = 1;
	  hiddenSelectionsTextures[] = {"\elias_textures\textures\rtd\uniform\Notarzt.paa"};
      hiddenSelectionsMaterials[] = {};
	  hiddenSelections[] = {"Camo","insignia"};
	  uniformClass = "ILDE_Notarzt_Uniform";
   };
   
	class ILDE_FW_Uniform_V: B_Soldier_F
	{
      author = "Island-life.de | Elias177";
      scope = 1;
	  hiddenSelectionsTextures[] = {"\elias_textures\textures\fw\uniform\FW_Uniform.paa"};
      hiddenSelectionsMaterials[] = {};
	  hiddenSelections[] = {"Camo","insignia"};
	  uniformClass = "ILDE_FW_Uniform";
   };
   
   class ILDE_Polizei_Uniform_V: B_Soldier_F
	{
      author = "Island-life.de | Elias177";
      scope = 1;
	  hiddenSelectionsTextures[] = {"\elias_textures\textures\cop\uniform\PolizeiUniform.paa"};
      hiddenSelectionsMaterials[] = {};
	  hiddenSelections[] = {"Camo","insignia"};
	  uniformClass = "ILDE_Polizei_Uniform";
   };
   
	class ILDE_Polizei_Ausbilder_Uniform_V: B_Soldier_F
	{
      author = "Island-life.de | Elias177";
      scope = 1;
	  hiddenSelectionsTextures[] = {"\elias_textures\textures\cop\uniform\AusbilderUniform.paa"};
      hiddenSelectionsMaterials[] = {};
	  hiddenSelections[] = {"Camo","insignia"};
	  uniformClass = "ILDE_Polizei_Ausbilder_Uniform";
   };
   
   	class ILDE_SEK_Uniform_V: I_soldier_F
	{
      author = "Island-life.de | Elias177";
      scope = 1;
	  hiddenSelectionsTextures[] = {"\elias_textures\textures\cop\uniform\SEKUniform.paa"};
      hiddenSelectionsMaterials[] = {};
	  hiddenSelections[] = {"Camo","insignia"};
	  uniformClass = "ILDE_SEK_Uniform";
   };
   
   class ILDE_Praesi_Uniform_V: B_Soldier_F
	{
      author = "Island-life.de | Elias177";
      scope = 1;
	  hiddenSelectionsTextures[] = {"\elias_textures\textures\cop\uniform\PraesiUniform.paa"};
      hiddenSelectionsMaterials[] = {};
	  hiddenSelections[] = {"Camo","insignia"};
	  uniformClass = "ILDE_Praesi_Uniform";
   };
   
   class ILDE_JVB_Uniform_V: B_RangeMaster_F
	{
      author = "Island-life.de | Elias177";
      scope = 1;
	  hiddenSelectionsTextures[] = {"\elias_textures\textures\justice\uniform\JVB.paa"};
      hiddenSelectionsMaterials[] = {};
	  hiddenSelections[] = {"Camo","insignia"};
	  uniformClass = "ILDE_JVB_Uniform";
   };
   
   class ILDE_STA_Uniform_V: B_RangeMaster_F
	{
      author = "Island-life.de | Elias177";
      scope = 1;
	  hiddenSelectionsTextures[] = {"\elias_textures\textures\justice\uniform\STA.paa"};
      hiddenSelectionsMaterials[] = {};
	  hiddenSelections[] = {"Camo","insignia"};
	  uniformClass = "ILDE_STA_Uniform";
   };
   
};



